package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SewageDischarge;
import com.lightinit.hsdatashow.entity.SewageDischargeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SewageDischargeMapper {
    long countByExample(SewageDischargeExample example);

    int deleteByExample(SewageDischargeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SewageDischarge record);

    int insertSelective(SewageDischarge record);

    List<SewageDischarge> selectByExample(SewageDischargeExample example);

    SewageDischarge selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SewageDischarge record, @Param("example") SewageDischargeExample example);

    int updateByExample(@Param("record") SewageDischarge record, @Param("example") SewageDischargeExample example);

    int updateByPrimaryKeySelective(SewageDischarge record);

    int updateByPrimaryKey(SewageDischarge record);

    List<SewageDischarge> getSewageDischarge(int year);
}